<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.3//EN"
          "http://struts.apache.org/dtds/struts-config_1_3.dtd">
          
<!-- Descriptions: This file contains specific struts components for an message module
	History: Created 				12/13/2005	Muddaiah Ranga
-->
<struts-config>
	
	<!-- ====================== Form Bean Definitions ======================= -->
    <form-beans>
	  <form-bean name="messageSearchForm" type="gov.va.med.esr.ui.message.action.MessageSearchForm"/>
    </form-beans>		

	<!-- ===================================== Exception Handling Definitions  -->
    <global-exceptions>
    </global-exceptions>
	
	<!-- ===================================== Global forwards Definitions  -->
    <global-forwards>
    </global-forwards>
    	
	<!-- ====================== Action Bean Definitions ===================== -->
	<action-mappings type="gov.va.med.fw.ui.struts.ServiceBrokerActionMapping">

	    <action path="/messageAction"
		type="gov.va.med.fw.ui.struts.ServiceDelegatingActionProxy"
		name="messageSearchForm"
		scope="session"
		validate="true"
		parameter="methodName"
		input="displaySearch">

		<set-property property="validateOnMethod" value="search" />

		<forward name="displaySearch" 	path=".message.search" />
		
            </action>
            
            <action path="/messageDetail"
		type="gov.va.med.fw.ui.struts.ServiceDelegatingActionProxy"
		parameter="methodName">
		
		<forward name="displayMessageDetail" 	path=".message.messageDetail" />
		<forward name="displayRawMessage" 	path=".message.rawMessage" />
		<forward name="displayParsedMessage" 	path=".message.parsedMessage" />
		<forward name="displayErrorMessage" 	path=".message.errorMessage" />
	    		
            </action>
            			 					
	</action-mappings>

	<!-- ===================================== Message Resources Definitions  -->
	<message-resources parameter="CommonMessages,WebHelpMessages,BreadCrumbMessages,RuleMessages,MessageMessages" factory="gov.va.med.fw.ui.struts.CustomPropertyMessageResourcesFactory" />
	<message-resources key="message" parameter="MessageMessages" factory="gov.va.med.fw.ui.struts.CustomPropertyMessageResourcesFactory" />

	<!-- ====================== Plug Ins Configuration ====================== -->
	
	<!-- ========== TilesPlugin settings ===================================== -->
	<plug-in className="org.apache.struts.tiles.TilesPlugin" >
	    	<set-property property="definitions-config" value="/WEB-INF/edb_tiles-defs.xml,/WEB-INF/message/tiles-defs.xml"/>
	    	<set-property property="moduleAware" value="true" />
    <set-property property="definitions-factory-class" value="gov.va.med.fw.ui.struts.CustomTilesFactorySet"/>
  	</plug-in>
  
	<!-- ========== ValidatorPlugin settings ===================================== -->
	<plug-in className="org.apache.struts.validator.ValidatorPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validator-rules.xml,/WEB-INF/message/validation.xml" />
	    <set-property property="stopOnFirstError" value="true" />
	</plug-in>
</struts-config>